Skip to content

/fal-ai/bytedance/seedream/v4/edit

POST https://www.kkiai.com/fal-ai/bytedance/seedream/v4/edit

Official documentation: https://fal.ai/models/fal-ai/bytedance/seedream/v4/edit

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
image_sizeobjectOptionalImage dimensions. Width and height values must be in the range: 1024-4096.
  └ heightintegerRequired
  └ widthintegerRequired
num_imagesintegerOptionalNumber of images to generate: 1-6
enable_safety_checkerbooleanOptionalEnable safety checker. Default value: true
image_urlsarray[string]Required

Request Example

json
{
  "prompt": "Dress the model in the clothes and shoes.",
  "image_size": {
    "height": 1280,
    "width": 1280
  },
  "num_images": 1,
  "enable_safety_checker": true,
  "image_urls": [
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_1.png",
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_2.png",
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_3.png",
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_4.png"
  ]
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/bytedance/seedream/v4/edit' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "Dress the model in the clothes and shoes.",
  "image_size": {
    "height": 1280,
    "width": 1280
  },
  "num_images": 1,
  "enable_safety_checker": true,
  "image_urls": [
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_1.png",
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_2.png",
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_3.png",
    "https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_4.png"
  ]
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "42a7eb80-8916-43ae-b27b-02e79f479977",
    "response_url": "https://queue.fal.run/fal-ai/bytedance/requests/42a7eb80-8916-43ae-b27b-02e79f479977",
    "status_url": "https://queue.fal.run/fal-ai/bytedance/requests/42a7eb80-8916-43ae-b27b-02e79f479977/status",
    "cancel_url": "https://queue.fal.run/fal-ai/bytedance/requests/42a7eb80-8916-43ae-b27b-02e79f479977/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}